<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSipDialRulesReq StructType
 * @subpackage Structs
 */
class AddSipDialRulesReq extends APIRequest
{
    /**
     * The sipDialRules
     * @var XSipDialRules
     */
    public $sipDialRules;
    /**
     * Constructor method for AddSipDialRulesReq
     * @uses AddSipDialRulesReq::setSipDialRules()
     * @param XSipDialRules $sipDialRules
     */
    public function __construct(XSipDialRules $sipDialRules = null)
    {
        $this
            ->setSipDialRules($sipDialRules);
    }
    /**
     * Get sipDialRules value
     * @return XSipDialRules|null
     */
    public function getSipDialRules()
    {
        return $this->sipDialRules;
    }
    /**
     * Set sipDialRules value
     * @param XSipDialRules $sipDialRules
     * @return AddSipDialRulesReq
     */
    public function setSipDialRules(XSipDialRules $sipDialRules = null)
    {
        $this->sipDialRules = $sipDialRules;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSipDialRulesReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
